uses
  FileUtil,  { contains most of the operations for viewing text files }
  Crt,       { for video colors/highlighting, not for timing }
  Dos;       { for file/directory operations }

  { Change History 1.4 --> 1.5 (20-AUG-2000, TV)
      Suppressed use of unit Incr, which was used at IOI'95
        to collect usage statistics
      Corrected error in call to ReportDosError:
        ParamStr(1) --> ParamStr(i)
      Updated Copyright string
      Kicked version number
  }

const
  Version = '1.5';
  Test = false;
  Prog = 'SHOW';
  Title = Prog  + ': Text File Viewer,  Version ' + Version;
  Copyright =
    'Copyright (c) 1995,2000 T.Verhoeff @ TUE.NL';

procedure Usage(s: string);
  var ta: word;
  begin
  if s <> '' then begin
    ta := TextAttr ; HighVideo ; TextBackground(Red) ;
    write(Prog, ' Error: ', s) ;
    TextAttr := ta ; writeln ;
    writeln('Usage: "', Prog, ' textfile ..."') ;
    writeln('Type "', Prog, '" for help.') ;
    end { then }
  else begin
    writeln(Title) ;
    writeln(Copyright) ;
    writeln('Usage: "', Prog, ' textfile ..."') ;
    writeln ;
    writeln('"', Prog, '" shows version and usage instructions.') ;
    writeln ;
    writeln('"', Prog, ' textfile ..." shows the given text files.') ;
    writeln('Wildcards (* and ?) are expanded.')
    end { else } ;
  halt
  end { Usage } ;

var i: integer;
    s: SearchRec; dir: DirStr; name: NameStr; ext: ExtStr; c: char;

begin
{DoIncr ; { in Unit Incr }
if ParamCount = 0 then Usage('') ;
if ParamStr(1) = '/?' then Usage('') ;
for i := 1 to ParamCount do begin
  FSplit(ParamStr(i), dir, name, ext) ;
  FindFirst(ParamStr(i), 0, s) ;
  while DosError = 0 do begin
    ShowPaged(dir+s.Name, 20, 20) ;
    FindNext(s)
    end { while } ;
  if DosError <> 18 then
    ReportDosError(Prog+' Error: '+ParamStr(i)+' not found,', DosError)
  end { for i }
end.
